Package com.mckoi.database

## Class QueryPlan.CompositeNode

- java.lang.Object
- - com.mckoi.database.QueryPlan.BranchQueryPlanNode
  - - com.mckoi.database.QueryPlan.CompositeNode

All Implemented Interfaces:
  `QueryPlanNode`, `java.io.Serializable`, `java.lang.Cloneable`

Enclosing class:
  QueryPlan

    public static class QueryPlan.CompositeNode
    extends QueryPlan.BranchQueryPlanNode

A branch node for performing a composite function on two child nodes. This branch is used for general UNION, EXCEPT, INTERSECT composites. The left and right branch results must have the same number of columns and column types.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.mckoi.database.QueryPlan.BranchQueryPlanNode

`left, right`

### Constructor Summary

Constructors
`CompositeNode​(QueryPlanNode left, QueryPlanNode right, int composite_op, boolean all_op)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Table` `evaluate​(QueryContext context)` Evaluates the node and returns the result as a Table.

### Methods inherited from class com.mckoi.database.QueryPlan.BranchQueryPlanNode

`clone, debugString, discoverCorrelatedVariables, discoverTableNames, left, right, titleString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompositeNode

    public CompositeNode​(QueryPlanNode left,
                         QueryPlanNode right,
                         int composite_op,
                         boolean all_op)

### Method Detail

#### evaluate

    public Table evaluate​(QueryContext context)

Description copied from interface: `QueryPlanNode`
Evaluates the node and returns the result as a Table. The VariableResolver resolves any outer variables